> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://contentful.com/developers/docs/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://contentful.com/_mcp/server. # Get a webhook GET https://api.contentful.com/spaces/{space_id}/webhook_definitions/{webhook_definition_id} Reference: https://contentful.com/developers/docs/references/content-management-api/webhooks/get-a-webhook ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `space_id` (string, required) — ID of the space in form of a string - `webhook_definition_id` (string, required) — ID of the webhook in form of a string ## Response ### 200 OK - Request successful - `map from string to any` ## Examples **Response** ```json { "active": true, "filters": [], "headers": [ { "key": "header1", "value": "value1" }, { "key": "header2", "value": "value2" } ], "httpBasicUsername": "yolo", "name": "My webhook", "sys": { "createdAt": "2025-07-03T14:25:59.000Z", "createdBy": { "sys": { "id": "7BslKh9TdKGOK41VmLDjFZ", "linkType": "User", "type": "Link" } }, "id": "0KzM2HxYr5O1pZ4SaUzK8h", "space": { "sys": { "id": "yadj1kx9rmg0", "linkType": "Space", "type": "Link" } }, "type": "WebhookDefinition", "updatedAt": "2025-07-03T14:25:59.000Z", "updatedBy": { "sys": { "id": "4FLrUHftHW3v2BLi9fzfjU", "linkType": "User", "type": "Link" } }, "version": 1 }, "topics": [ "Entry.create", "ContentType.create", "*.publish", "Asset.*" ], "url": "https://www.example.com" } ``` **SDK Code** ```android Android // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); client .webhooks() .async() .fetchOne( "", "", new CMACallback() { @Override protected void onSuccess(CMAWebhook result) { // Inspect your lovely webhook. new AlertDialog.Builder(context) .setTitle("Contentful") .setMessage("Fetching the webhook was successful." + "\n\nResult: " + result) .show(); } @Override protected void onFailure(RuntimeException exception) { // An error occurred! Inform the user. new AlertDialog.Builder(context) .setTitle("Contentful Error") .setMessage("Could not fetch that webhook." + "\n\nReason: " + exception.toString()) .show(); super.onFailure(exception); } } ); ``` ```java Java // Create the Contentful client. final CMAClient client = new CMAClient .Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build(); final CMAWebhook webhook = client .webhooks() .fetchOne( "", ""); ``` ```kotlin Kotlin // Create the Contentful client. val client = CMAClient.Builder() .setAccessToken("") .setSpaceId("") .setEnvironmentId("") .build() val webhook = client .webhooks() .fetchOne( "", "") ``` ```swift Swift We currently don't provide a CMA SDK for this platform. ``` ```js-legacy JavaScript (legacy) import { createClient } from 'contentful-management' const client = createClient({ accessToken: '' }, { type: 'legacy' }) client.getSpace('') .then((space) => space.getWebhook('')) .then((webhook) => console.log(webhook)) .catch(console.error) ``` ```javascript JavaScript import { createClient } from 'contentful-management' // Client init const client = contentful.createClient({ accessToken: '' }) const webhook = await client.webhook.get({ spaceId: '', webhookDefinitionId: '', }); ``` ```php PHP $client = new \Contentful\Management\Client(''); $space = $client->getSpaceProxy(''); $webhook = $space->getWebhook(''); ``` ```ruby Ruby require 'contentful/management' client = Contentful::Management::Client.new('') webhook = client.webhooks('').find('') ``` ```python Python from contentful_management import Client client = Client('') webhook = client.webhooks('').find('') ``` ```.net .NET // This client should only be created once per application. var httpClient = new HttpClient(); var client = new ContentfulManagementClient(httpClient, "", ""); var webhook = await client.GetWebhook(""); ```